com.microfocus.awm.model

## Interface IJobDirectory

- All Known Implementing Classes:
    JobDirectory

      public interface IJobDirectory

  Manages `ITaurusJob`s of an active application.

  The singleton instance can be obtained with `TaurusFactory.getJobDirectory()`.

  Not intended to be implemented by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJob(ITaurusJob pJob, boolean pNotify)` Add the given TAURUS job to the job directory.
    `void` | `addObserver(java.util.Observer pObserver)` Add the given observer to this class.
    `void` | `changeJobStatus(ITaurusJob pJob)` Deprecated. method parameters are too limited. Use `changeJobStatus(ITaurusJob)` instead.
    `void` | `deleteObserver(java.util.Observer pObserver)` Delete the given observer for this class.
    `java.util.List<ITaurusJob>` | `getJobList()` Gets a list of all currently available `ITaurusJob`s.
    `void` | `jobStatusChanged(JobStateChangedEvent pEvent)` Notifies the directory that a job status has changed, causing all observers to be notified.
    `void` | `loadJobs()` Load the job directory from the jt_jobs.xml file in the workspace.
    `void` | `removeAllJobs()` Removes all cached jobs physically.
    `void` | `removeJob(ITaurusJob pJob)` Remove the given job from the job directory.
    `void` | `saveJobs()` Save the jobs of the job directory to the jt_jobs.xml file in the workspace.
    `void` | `synchronizeJobs(org.eclipse.core.runtime.IProgressMonitor pMon)` Synchronize the job directory with the existing jobs on the corresponding remote system.

- - ### Method Detail

    - #### addJob

          void addJob(ITaurusJob pJob,
                      boolean pNotify)

      Add the given TAURUS job to the job directory.
      Parameters:
        `pJob` - TAURUS job to be added
        `pNotify` - flag which determines whether the observers of the element list directory are notified

    - #### removeJob

          void removeJob(ITaurusJob pJob)

      Remove the given job from the job directory.
      Parameters:
        `pJob` - TAURUS job to be removed

    - #### changeJobStatus

          @Deprecated
          void changeJobStatus(ITaurusJob pJob)

      Deprecated. method parameters are too limited. Use `changeJobStatus(ITaurusJob)` instead.
      Notify the observers of the job directory of a status change of the given job.
      Parameters:
        `pJob` - TAURUS job which status has changed

    - #### jobStatusChanged

          void jobStatusChanged(JobStateChangedEvent pEvent)

      Notifies the directory that a job status has changed, causing all observers to be notified.
      Parameters:
        `pEvent` - the event describing the change

    - #### getJobList

          java.util.List<ITaurusJob> getJobList()
                                         throws TaurusCoreException

      Gets a list of all currently available `ITaurusJob`s.
      Returns:
        a list of all jobs
      Throws:
        `TaurusCoreException` - if loading the job cache fails

    - #### addObserver

          void addObserver(java.util.Observer pObserver)

      Add the given observer to this class.
      Parameters:
        `pObserver` - observer

    - #### deleteObserver

          void deleteObserver(java.util.Observer pObserver)

      Delete the given observer for this class.
      Parameters:
        `pObserver` - observer

    - #### saveJobs

          void saveJobs()
                 throws TaurusCoreException

      Save the jobs of the job directory to the jt_jobs.xml file in the workspace.
      Throws:
        `TaurusCoreException` - if saving the job cache fails

    - #### loadJobs

          void loadJobs()
                 throws TaurusCoreException

      Load the job directory from the jt_jobs.xml file in the workspace.
      Throws:
        `TaurusCoreException` - if loading the job cache fails

    - #### synchronizeJobs

          void synchronizeJobs(org.eclipse.core.runtime.IProgressMonitor pMon)
                        throws TaurusCoreException

      Synchronize the job directory with the existing jobs on the corresponding remote system.
      Parameters:
        `pMon` - progress monitor
      Throws:
        `TaurusCoreException` - if no `ITaurusJobUtilities` extension was found or the job cache could not be updated

    - #### removeAllJobs

          void removeAllJobs()
                      throws TaurusCoreException

      Removes all cached jobs physically.
      Throws:
        `TaurusCoreException` - if the job cache could not be updated

Copyright © 2015 Micro Focus GmbH. All rights reserved.